clear all 
set more off 

*TABLE 3: ACCEPTABILITY AND CORPORATE-BOND YIELDS


*MAC OR PC
*If PC
*local s "\"
*local m "G:\My Drive\"
*If MAC
local s "/"
local m "`s'Data Supplement`s'"


*Directories 

local unbalanced "`m'data`s'yields`s'yields.dta"
local balanced "`m'data`s'yields`s'yields_balanced.dta"
local march19 "`m'data`s'yields`s'yields_march19.dta"
local outdir "`m'out`s'"


*Which data

use "`march19'" , clear
				gen hgm=1 if moodys_r<5
				replace hgm=0 if hgm==.
				gen mgm_top=1 if moodys_r>4 &  moodys_r<8
				replace mgm_top=0 if mgm_top==.
				gen mgm_low=1 if moodys_r>7
				replace mgm_low=0 if mgm_low==.
				tab moodys_r, gen(moodysdum)
				gen hgm_cme=hgm*cme_april19
				gen mgmt_cme=mgm_top*cme_april19
				gen mgml_cme=mgm_low*cme_april19
			  eststo m1: reg close_yld cme_april19 moodysdum1-moodysdum10, r
			  eststo m2: reg close_yld hgm_cme mgmt_cme moodysdum1-moodysdum10, r

use "`unbalanced'" , clear
				gen hgm=1 if moodys_r<5
				replace hgm=0 if hgm==.
				gen mgm_top=1 if moodys_r>4 &  moodys_r<8
				replace mgm_top=0 if mgm_top==.
				gen mgm_low=1 if moodys_r>7
				replace mgm_low=0 if mgm_low==.
				tab moodys_r, gen(moodysdum)
				gen hgm_cme=hgm*cme_april19
				gen mgmt_cme=mgm_top*cme_april19
				gen mgml_cme=mgm_low*cme_april19
				tsset cusipid month
				tab month, gen(monthdum)
				*eststo m3:  xtreg close_yld cme_april19  moodysdum1-moodysdum10 monthdum*, r
				*eststo m4:  xtreg close_yld hgm_cme mgmt_cme  moodysdum1-moodysdum10 monthdum*, r
				
				collapse (mean) close_yld (first) cme_april19 hgm_cme mgmt_cme moodysdum1-moodysdum10, by(cusipid)
			  eststo m5: reg close_yld cme_april19 moodysdum1-moodysdum10, r
			  eststo m6: reg close_yld hgm_cme mgmt_cme moodysdum1-moodysdum10, r
			  
use "`balanced'" , clear

				gen hgm=1 if moodys_r<5
				replace hgm=0 if hgm==.
				gen mgm_top=1 if moodys_r>4 &  moodys_r<8
				replace mgm_top=0 if mgm_top==.
				gen mgm_low=1 if moodys_r>7
				replace mgm_low=0 if mgm_low==.
				tab moodys_r, gen(moodysdum)
				gen hgm_cme=hgm*cme_april19
				gen mgmt_cme=mgm_top*cme_april19
				gen mgml_cme=mgm_low*cme_april19
				tsset cusipid month
				tab month, gen(monthdum)
				*eststo m7: xtreg close_yld cme_april19  moodysdum1-moodysdum10 monthdum*, r
				*eststo m8: xtreg close_yld hgm_cme mgmt_cme  moodysdum1-moodysdum10 monthdum*, r

collapse (mean) close_yld (first) cme_april19 hgm_cme mgmt_cme moodysdum1-moodysdum10, by(cusipid)
			  eststo m9: reg close_yld cme_april19 moodysdum1-moodysdum10, r
			  eststo m10: reg close_yld hgm_cme mgmt_cme moodysdum1-moodysdum10, r
			  
	esttab m1 m5 m9 m2 m6 m10 using "`outdir'tab3.csv", b(%9.3f) se(%9.3f) star(* .10 ** .05 *** .01) replace
	insheet using "`outdir'tab3.csv", comma clear
	export excel "`outdir'tab3.xlsx", sheetreplace sheet(tab3)
	
